Summary: A dictionary server for the SKK Japanese input method system
Name: dbskkd-cdb
Version: 1.01
Release: 3
Copyright: GPL
Group: X11/Utilities
Source: http://www.k2r.org/kenji/software/%{name}-%{version}.tar.gz
#Source1: http://openlab.ring.gr.jp/skk/SKK-JISYO.L
#Source1: SKK-JISYO.L
Source1: dbskkd-cdb.xinetd
Patch: dbskkd-cdb-1.01.makefile.patch
URL: http://www.k2r.org/kenji/software/jp-dbskkd.html
Prefix: /usr
Obsoletes: skkserv
Provides: skkserv
BuildRequires: freecdb
Requires: xinetd, skkdic
BuildRoot:  %{_tmppath}/%{name}-%{version}-root


%description
dbskkd-cdb is a dictionary server for the SKK Japanese input method
system.  dbskkd-cdb is based on the code of skkserv (the original SKK
server) 3.9.3, using the cdb constant database package of
D. J. Bernstein (DJB) for faster dictionary access.

Add an entry for dbskkd-cdb to /etc/hosts.allow when using with tcp_wrappers.
ex. dbskkd-cdb: 127.0.0.1

%prep
%setup -q
%patch -p1

rm -fr ${RPM_BUILD_ROOT}

%build
make RPM_OPT_FLAGS="${RPM_OPT_FLAGS}" LDFLAGS="-lfreecdb"

%install
rm -fr ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{prefix}/libexec/skk
mkdir -p ${RPM_BUILD_ROOT}%{prefix}/share/skk
make DESTDIR=${RPM_BUILD_ROOT} install
#install -m 644 %{SOURCE1} ${RPM_BUILD_ROOT}%{prefix}/share/skk

mkdir -p ${RPM_BUILD_ROOT}/etc/xinetd.d
install -m 644 %{SOURCE1} ${RPM_BUILD_ROOT}/etc/xinetd.d/dbskkd-cdb

%clean
rm -fr ${RPM_BUILD_ROOT}

%post
if [ -f "/usr/share/skk/SKK-JISYO.L" -a ! -f "/usr/share/skk/SKK-JISYO.L.cdb" ]
then
  /usr/share/doc/%{name}-%{version}/skktocdbm.sh </usr/share/skk/SKK-JISYO.L | \
  cdbmake /usr/share/skk/SKK-JISYO.L.cdb /usr/share/skk/SKK-JISYO.L.tmp
fi

if ! grep -q skkserv /etc/services
then
	cp -p /etc/services /etc/services.dbskkd-cdb
	echo "skkserv		1178/tcp" >>/etc/services
fi

%postun
if [ "$1" -ge "1" ];then
	rm -f /usr/share/skk/SKK-JISYO.L.cdb
fi

%files
%defattr(-, root, root)
%doc LICENSE Release-Notes.English Release-Notes.Japanese skktocdbm.sh
%{prefix}/libexec/skk/*
#%{prefix}/share/skk/*
%config /etc/xinetd.d/dbskkd-cdb

%changelog
* Wed Sep  6 2000 Satoru Sato <ssato@redhat.com>
- separate the server (dbskkd-cdb) and the dictionary (skkdic) packages.

* Wed Sep  6 2000 Satoru Sato <ssato@redhat.com>
- fix SPEC

* Mon Aug  4 2000 Satoru Sato <ssato@redhat.com>
- Initial release
